summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Wendling <wendling@ncsa.uiuc.edu>2003-10-28 18:00:39 (GMT)
committerBill Wendling <wendling@ncsa.uiuc.edu>2003-10-28 18:00:39 (GMT)
commit5cc5e0c5dc1487871830d1ba26a2377fe1828906 (patch)
tree22ff2440bace39bdffd25b81e997d99c72ff47e4
parent19482082081f2f9ed0f91b14e1e9b7fad2582ef2 (diff)
downloadhdf5-5cc5e0c5dc1487871830d1ba26a2377fe1828906.zip
hdf5-5cc5e0c5dc1487871830d1ba26a2377fe1828906.tar.gz
hdf5-5cc5e0c5dc1487871830d1ba26a2377fe1828906.tar.bz2
[svn-r7773] Purpose:
Update Description: Added check for correctly working basename and xargs programs. Mike McKay was having problems with broken xargs. The basename check was just a good idea. Platforms tested: Linux & Arabica (trivial change already done in mainline branch). Misc. update:
-rwxr-xr-xconfigure36
-rw-r--r--configure.in27
2 files changed, 52 insertions, 11 deletions
diff --git a/configure b/configure
index 25361d9..24ca420 100755
--- a/configure
+++ b/configure
@@ -1517,8 +1517,8 @@ echo "${ECHO_T}done" >&6
echo "$as_me:$LINENO: checking if tr works" >&5
echo $ECHO_N "checking if tr works... $ECHO_C" >&6
-TRTEST=`echo "Test" | tr 'a-z,' 'A-Z '`
-if test $TRTEST != "TEST"; then
+TR_TEST="`echo Test | tr 'a-z,' 'A-Z '`"
+if test $TR_TEST != "TEST"; then
{ { echo "$as_me:$LINENO: error: tr program doesn't work" >&5
echo "$as_me: error: tr program doesn't work" >&2;}
{ (exit 1); exit 1; }; }
@@ -1527,6 +1527,30 @@ else
echo "${ECHO_T}yes" >&6
fi
+echo "$as_me:$LINENO: checking if basename works" >&5
+echo $ECHO_N "checking if basename works... $ECHO_C" >&6
+BASENAME_TEST="`basename /foo/bar/baz/qux/basename_works`"
+if test $BASENAME_TEST != "basename_works"; then
+ { { echo "$as_me:$LINENO: error: basename program doesn't work" >&5
+echo "$as_me: error: basename program doesn't work" >&2;}
+ { (exit 1); exit 1; }; }
+else
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+fi
+
+echo "$as_me:$LINENO: checking if xargs works" >&5
+echo $ECHO_N "checking if xargs works... $ECHO_C" >&6
+XARGS_TEST="`echo /foo/bar/baz/qux/xargs_works | xargs basename`"
+if test $XARGS_TEST != "xargs_works"; then
+ { { echo "$as_me:$LINENO: error: xargs program doesn't work" >&5
+echo "$as_me: error: xargs program doesn't work" >&2;}
+ { (exit 1); exit 1; }; }
+else
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+fi
+
echo "$as_me:$LINENO: checking for cached host" >&5
echo $ECHO_N "checking for cached host... $ECHO_C" >&6
if test "${hdf5_cv_host+set}" = set; then
@@ -4125,7 +4149,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
case $host in
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4128 "configure"' > conftest.$ac_ext
+ echo '#line 4152 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4666,7 +4690,7 @@ chmod -w .
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
compiler_c_o=no
-if { (eval echo configure:4669: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:4693: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
if test -s out/conftest.err; then
@@ -6473,7 +6497,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 6476 "configure"
+#line 6500 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -6571,7 +6595,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 6574 "configure"
+#line 6598 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
diff --git a/configure.in b/configure.in
index 609fb2b..4e7000f 100644
--- a/configure.in
+++ b/configure.in
@@ -55,18 +55,35 @@ set >&AS_MESSAGE_LOG_FD
AC_MSG_RESULT([done])
dnl ----------------------------------------------------------------------
-dnl Some platforms have broken ``tr'' programs. Check that it actually
-dnl does what it's supposed to do. Catch this early since configure
-dnl relies upon tr heavily and there's no use continuing if it's broken.
+dnl Some platforms have broken tr, basename, and/or xargs programs. Check
+dnl that it actually does what it's supposed to do. Catch this early
+dnl since configure relies upon tr heavily and there's no use continuing
+dnl if it's broken.
dnl
AC_MSG_CHECKING([if tr works])
-TRTEST=`echo "Test" | tr 'a-z,' 'A-Z '`
-if test $TRTEST != "TEST"; then
+TR_TEST="`echo Test | tr 'a-z,' 'A-Z '`"
+if test $TR_TEST != "TEST"; then
AC_MSG_ERROR([tr program doesn't work])
else
AC_MSG_RESULT([yes])
fi
+AC_MSG_CHECKING([if basename works])
+BASENAME_TEST="`basename /foo/bar/baz/qux/basename_works`"
+if test $BASENAME_TEST != "basename_works"; then
+ AC_MSG_ERROR([basename program doesn't work])
+else
+ AC_MSG_RESULT([yes])
+fi
+
+AC_MSG_CHECKING([if xargs works])
+XARGS_TEST="`echo /foo/bar/baz/qux/xargs_works | xargs basename`"
+if test $XARGS_TEST != "xargs_works"; then
+ AC_MSG_ERROR([xargs program doesn't work])
+else
+ AC_MSG_RESULT([yes])
+fi
+
dnl ----------------------------------------------------------------------
dnl Check that the cache file was build on the same host as what we're
dnl running on now.